Bug 1168275 - livecd-tools requires extlinux using the wrong path
Summary: livecd-tools requires extlinux using the wrong path
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs TRACKER-virt-p2v
TreeView+ depends on / blocked
 
Reported: 2014-11-26 15:04 UTC by Jay Greguske
Modified: 2019-04-16 14:25 UTC (History)
9 users (show)

Fixed In Version: livecd-tools-20.4-1.3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 11:53:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jay Greguske 2014-11-26 15:04:13 UTC
$ rpm -qlp syslinux-extlinux-4.05-12.el7.x86_64.rpm
[..]
/usr/sbin/extlinux
[..]

And now some mock output:
DEBUG backend.py:838:  ['/usr/bin/yum', '--installroot', '/var/lib/mock/rhel-7.1-build-2389514-1028556/root/', 'groupinstall', 'livecd-build']
DEBUG util.py:300:  Executing command: ['/usr/bin/yum', '--installroot', '/var/lib/mock/rhel-7.1-build-2389514-1028556/root/', 'groupinstall', 'livecd-build']
DEBUG util.py:257:  Error: Package: 1:livecd-tools-20.4-1.1.el7.x86_64 (build)
DEBUG util.py:257:             Requires: /sbin/extlinux

livecd-tools is requiring /sbin/extlinux, but it should be using /usr/sbin/extlinux. This should be a change in the spec file only.

Comment 1 Richard W.M. Jones 2014-12-16 22:22:03 UTC
Any movement on this?  It is blocking virt-p2v in RHEL 7.

Comment 2 Jay Greguske 2014-12-17 14:52:18 UTC
I haven't heard anything, I'd say escalate it up your manager chain to get PMs to see it if there's no response.

Comment 3 Richard W.M. Jones 2014-12-17 15:05:06 UTC
Scott Herold is apparently the official PM of virt-v2v.

I'm the defacto PM, and I say this needs to be fixed with all
possible urgency because it is one of the issues stopping us
from building and testing virt-p2v ISO for RHEL 7.1.

Comment 4 Scott Herold 2014-12-19 15:20:43 UTC
Agree with prioritization of this item.  Escalated with Siddharth for exception flag.

Comment 6 Richard W.M. Jones 2015-01-22 12:12:12 UTC
(In reply to Jay Greguske from comment #2)
> I haven't heard anything, I'd say escalate it up your manager chain to get
> PMs to see it if there's no response.

Done all that.  What else can I do to make this urgent single
line trivial change happen?

Comment 7 Jay Greguske 2015-01-22 13:56:24 UTC
This has all the acks. Are you getting an error when you commit the change?

Comment 8 Richard W.M. Jones 2015-01-22 14:01:16 UTC
Didn't know I could/was supposed to make the change.  However
I'm going to try it right now.

Comment 9 Richard W.M. Jones 2015-01-22 15:31:51 UTC
Built here:
https://brewweb.devel.redhat.com/taskinfo?taskID=8608351

Comment 14 Martin Banas 2015-01-30 08:05:52 UTC
great, moving to verified.


Note You need to log in before you can comment on or make changes to this bug.